=== debian/changelog ===
kdbg (2.5.0-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 02 Apr 2011 23:39:51 +0200

kdbg (2.4.92~1-1) unstable; urgency=low

  * Git Snapshot of a future 2.5 release, now ported to KDE 4. This means
    significant changes in the packaging. (Closes: #604333)
  * We used cmake now, no outdated config.{sub,guess} anymore. (Closes: #582436)
  * Remove suggests on kxsldbg, it is not in the Debian archive anymore.
  * Update years in copyright file.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 12 Mar 2011 17:00:01 +0100

kdbg (2.2.1-2) unstable; urgency=low

  * Redone again relibtoolization making sure it uses latest automake.
    (Closes: #577679)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 21 Apr 2010 04:31:55 +0200

kdbg (2.2.1-1) unstable; urgency=low

  * New upstream release.
  * Redone libtoolization.
  * Remove patch 03_fix_ftbfs, merged upstream.
  * Update Standards-Version to 3.8.4, no changes required.
  * Add ${misc:Depends} to Depends:

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 10 Apr 2010 18:39:35 +0200

kdbg (2.2.0-2) unstable; urgency=low

  * Add patch taken from upstrem to fix FTBFS with newer glibc 2.10 and gcc 4.4.
   (Closes: #552582)
  * Minor updates in the copyright file.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 19 Nov 2009 23:06:37 +0100

kdbg (2.2.0-1) unstable; urgency=low

  * New upstream release.
  * Redone libtoolization.
  * Update Standards-Version to 3.8.3, no changes required.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 20 Sep 2009 20:41:52 +0200

kdbg (2.1.1-1) unstable; urgency=low

  * New upstream release:
    - Do not crash when clicking on "delete" button if not program is loaded.
      (Closes: #467243)
  * Redo patches: 02_libtool_update.diff and buildprep.
  * Update upstream's email in copyright file.
  * Update copyright years.
  * Update Section in doc-base.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 29 Dec 2008 13:24:32 +0100

kdbg (2.1.0-2) unstable; urgency=low

  * Remove unnecesary build dependency on libqt3-compat-headers. 
    (Closes: #464057) 

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 07 Feb 2008 11:10:15 +0100

kdbg (2.1.0-1) unstable; urgency=low

   * New upstream release.
   * Update Standards-Version to 3.7.3.
   * Move homepage into control field.
   * Update menu file to new policy.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 26 Dec 2007 04:52:24 +0100

kdbg (2.0.5-2) unstable; urgency=low

  * Rewrite debian/rules. Now it can be built twice in a row. 
   (Closes: #424429)
  * Dangling symlinks are not longer created. (Closes: #186169)
  * Redone relibtoolization. (Closes: #418563).

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 30 May 2007 01:13:37 +0100

kdbg (2.0.5-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 19 Dec 2006 02:15:51 +0100

kdbg (2.0.4-3) unstable; urgency=low
  
  * Bumped compat to 5.
  * Added space to homepage pseudo header.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 28 Oct 2006 03:57:29 +0200

kdbg (2.0.4-2) unstable; urgency=medium

  * Dropping re-libtoolizing at build time, instead updating libtool
    with a patch. (Closes: #379811). 

 -- Ana Beatriz Guerrero Lopez <ana@ekaia.org>  Sat, 29 Jul 2006 14:19:18 +0200

kdbg (2.0.4-1) unstable; urgency=low

  * New upstream release.
  * Bumped standards-version to 3.7.2, no changes required.
  * Debugger window comes to the foreground and receives the focus, after a 
    breakpoint. (Closes: #171845)
  * Added support for QString in Qt4's debug libraries. (Closes: #354373)
  * Added copyright of the debian packaging.
  * Changed kdbg webpage.

 -- Ana Beatriz Guerrero Lopez <ana@ekaia.org>  Sat,  3 Jun 2006 13:17:46 +0200

kdbg (2.0.3-3) unstable; urgency=low

  * Dropping patches, re-libtoolizing at build time. 

 -- Ana Beatriz Guerrero Lopez <ana@ekaia.org>  Tue, 21 Feb 2006 12:43:49 +0100

kdbg (2.0.3-2) unstable; urgency=low

  * Added patch: 04_am_maintainer_mode.diff, the patch adds AM_MAINTAINER_MODE to 
    configure.in (Closes: #349988). 

 -- Ana Beatriz Guerrero Lopez <ana@ekaia.org>  Thu,  2 Feb 2006 02:08:56 +0100

kdbg (2.0.3-1) unstable; urgency=low

  * New upstream release. 
  * Added patch: 10_update_libtool.diff, now the package doesn't depend from 
    libfreetype6 and other spurious libraries.

 -- Ana Beatriz Guerrero Lopez <ana@ekaia.org>  Tue, 24 Jan 2006 23:12:03 +0100

kdbg (2.0.2-1) unstable; urgency=low

  * New upstream release. (Closes: #342096).
  * New maintainer's email address.
  * debian/rules: moved debhelper compatibility level setting to
    'debian/compat'.

 -- Ana Beatriz Guerrero Lopez <ana@ekaia.org>  Tue,  6 Dec 2005 19:07:51 +0100

kdbg (2.0.0-1) unstable; urgency=low

  * Adopted by Ana Beatriz Guerrero Lopez <anja_isbilia@yahoo.es>.
    (Closes: #315336).
  * New upstream release.
  * Bumped standards-version to 3.6.2.
 
 -- Ana Beatriz Guerrero Lopez <anja_isbilia@yahoo.es>  Tue, 30 Aug 2005 19:03:50 +0000

kdbg (1.9.7-2) unstable; urgency=low

  * Updated config.{sub,guess} for compilation on GNU/k*BSD (closes: #305839).

 -- Ben Burton <bab@debian.org>  Wed, 27 Apr 2005 08:11:57 +1000

kdbg (1.9.7-1) unstable; urgency=low

  * New upstream release.
  * Suggests kxsldbg, since kdbg can now interact with xsldbg for debugging
    XSLT scripts.
  * Patched kdbg/doc/en/Makefile.am to install newer parts of the manual
    that weren't installed by default.  Using AM_MAINTAINER_MODE to
    facilitate this.

 -- Ben Burton <bab@debian.org>  Sat, 26 Mar 2005 00:24:40 +1100

kdbg (1.2.10-3) unstable; urgency=low

  * Converted all PO-files to UTF-8 so that all characters are properly
    displayed (closes: #291317).

 -- Ben Burton <bab@debian.org>  Tue,  8 Feb 2005 18:52:34 +1100

kdbg (1.2.10-2) unstable; urgency=low


