=== debian/changelog ===
kdbg (2.5.1-1) unstable; urgency=low

  * New upstream release. (Closes: #672338)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 10 May 2012 21:01:19 +0200
