=== debian/changelog ===
kdbg (2.5.3-1) unstable; urgency=low

  * New upstream release. (Closes: #715031)
  * Update Standards-Version to 3.9.4, no changes required.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 15 Jul 2013 20:08:45 +0200
