=== kdbg/doc/CMakeLists.txt ===
add_subdirectory(de)
add_subdirectory(en)
add_subdirectory(ru)
