=== kdbg/testprogs/Makefile ===
--- 
+++ 
@@ -6,9 +6,11 @@
 
 PROGS = \
 	anonstruct \
+	lambda \
 	locals \
 	longdouble \
 	maths \
+	multibrkpt \
 	nestedclass \
 	qt \
 	repeats \
@@ -22,6 +24,9 @@
 anonstruct: anonstruct.cpp
 	g++ -o $@ $(CXXFLAGS) $^
 
+lambda: lambda.cpp
+	g++ --std=c++0x -o $@ $(CXXFLAGS) $^
+
 locals: locals.cpp
 	g++ -o $@ $(CXXFLAGS) $^
 
@@ -29,6 +34,9 @@
 	gcc -o $@ $(CXXFLAGS) $^
 
 maths: maths.cpp
+	g++ -o $@ $(CXXFLAGS) $^
+
+multibrkpt: multibrkpt.cpp
 	g++ -o $@ $(CXXFLAGS) $^
 
 nestedclass: nestedclass.cpp
