=== debian/changelog ===
kdbg (2.5.4-1) unstable; urgency=medium

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 29 Nov 2013 19:40:20 +0100
