=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ana Beatriz Guerrero Lopez <ana@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), cmake, kdelibs5-dev (>= 4:4.4.0)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.4
 Homepage: http://www.kdbg.org/
 
 Package: kdbg
