=== kdbg/testprogs/Makefile ===
--- 
+++ 
@@ -59,3 +59,7 @@
 
 widechar: widechar.cpp
 	g++ -o $@ $(CXXFLAGS) $^
+
+
+clean:
+	$(RM) $(PROGS)
