=== debian/changelog ===
kdbg (2.5.5-3) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Adrian Bunk <bunk@debian.org>  Sun, 18 Jun 2017 17:23:43 +0300

kdbg (2.5.5-2) experimental; urgency=medium

  * QA upload.
  * debian/copyright: Change my entry to new id.
  * debian/patches:
    - 11_fix_changelog_encoding.patch: Reproducible build. This patch will close
      the bug number #823393 when uploaded to unstable.
  * debian/rules:
    - override_dh_installchangelogs: Add -a parameter to egrep
      (don't use binary mode).

 -- Samuel Henrique <samueloph@gmail.com>  Sat, 20 Aug 2016 21:45:21 -0300

kdbg (2.5.5-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Update to DH 9.
  * debian/clean: Add debian/upstream.changes.
  * debian/control:
    - Standards-Version: Update to 3.9.8.
    - Remove mention to non existent package (closes: #764423).
  * debian/copyright:
    - Update format to 1.0.
    - Update source's copyright year.
    - Remove trailing whitespace.
  * debian/rules:
    - Export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed so building may avoid
      useless dependencies.
    - Add hardening=+all.
    - override_dh_installchangelogs: Concatenate upstream changelogs into one
      single file at debian/upstream.changes.
    - Remove garbage comment.
  * debian/watch: Update to version 4.

 -- Samuel Henrique Oltramari Pinto (SamuelOPH) <samueloph@gmail.com>  Tue, 19 Apr 2016 01:23:10 -0300

kdbg (2.5.4-2) unstable; urgency=medium

  * QA upload.
  * Orphan package, see #803878.
    - Set maintainer to Debian QA Group.
  * Fix FTBFS. Thanks to Eriberto Mota. (Closes: #808760)
  * Update Standards-Version to 3.9.6, no changes required.
  * Add watch file. Thanks to Bart Martens.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 16 Mar 2016 23:42:03 +0100
