=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: kdbg
 Section: devel
 Priority: optional
-Maintainer: Ana Beatriz Guerrero Lopez <ana@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), cmake, kdelibs5-dev (>= 4:4.4.0)
-Standards-Version: 3.9.4
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper (>=9), cmake, kdelibs5-dev (>= 4:4.4.0)
+Standards-Version: 3.9.8
 Homepage: http://www.kdbg.org/
 
 Package: kdbg
@@ -15,9 +15,6 @@
  an intuitive interface for setting breakpoints, inspecting variables,
  stepping through code and much more.  KDbg requires KDE but you can of
  course debug any program.
- .
- KDbg can also debug XSLT (XML stylesheet translation) scripts by
- interfacing with xsldbg.  For this the package kxsldbg must be installed.
  .
  Features include the following:
   * Inspection of variable values in a tree structure.
