=== debian/watch ===
version=4
http://qa.debian.org/watch/sf.php/kdbg/ \
(?:|.*/)kdbg(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
